- [HTTP request](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#body.aspect_1)
- [Examples](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#examples)
- [Try it!](https://docs.cloud.google.com/dns/docs/reference/rest/v1beta2/managedZones/getIamPolicy#try-it)

Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.

### HTTP request

`POST https://dns.googleapis.com/dns/v1beta2/{resource=projects/*/managedZones/*}:getIamPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": { object (`https://docs.cloud.google.com/dns/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`) } } ``` |

| Fields ||
|---|---|
| `options` | ``object (`https://docs.cloud.google.com/dns/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `managedZones.getIamPolicy`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dns/docs/reference/rest/Shared.Types/Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readonly`
- `
  https://www.googleapis.com/auth/ndev.clouddns.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `resource` resource:

- `dns.managedZones.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).